seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/11/28, 08:27:00


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: du wants to remove 47 libboost packages  (Read 1402 times)

0 Members and 1 Guest are viewing this topic.

Offline vayu

  • User
  • Posts: 222
du wants to remove 47 libboost packages
« on: 2014/05/20, 08:39:35 »
It might be safe because it also wants to upgrade several and install some new ones, but 47 to remove seems like a lot. Does anyone know about libboost

Code: [Select]
apt-get dist-upgrade -d
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  gccxml gobjc gobjc-4.8 libboost-all-dev libboost-atomic1.54-dev
  libboost-chrono1.54-dev libboost-context1.54-dev libboost-coroutine1.54-dev
  libboost-date-time1.54-dev libboost-exception1.54-dev
  libboost-filesystem1.54-dev libboost-graph-parallel1.54-dev
  libboost-graph1.54-dev libboost-iostreams1.54-dev libboost-locale1.54-dev
  libboost-log1.54-dev libboost-math1.54-dev libboost-mpi-python-dev
  libboost-mpi-python1.54-dev libboost-mpi1.54-dev
  libboost-program-options1.54-dev libboost-python1.54-dev
  libboost-random1.54-dev libboost-regex1.54-dev
  libboost-serialization1.54-dev libboost-signals1.54-dev
  libboost-system1.54-dev libboost-test1.54-dev libboost-thread1.54-dev
  libboost-timer1.54-dev libboost-wave1.54-dev libboost1.54-dev libeventviews4
  libincidenceeditorsng4 libksieveui4 libmailcommon4 libmailimporter4
  libmessagecomposer4 libmessageviewer4 libpimcommon4 libssh2-1-dev
  libtemplateparser4 linux-headers-3.13-6.towo-siduction-amd64
  linux-headers-3.13-7.towo-siduction-amd64
  linux-headers-3.14-1.towo-siduction-amd64
  linux-headers-3.14-3.towo-siduction-amd64 linux-headers-siduction-amd64
The following NEW packages will be installed:
  baloo kdepim-groupware kdepim-wizards kscreen libakonadi-xml4 libavcodec55
  libavdevice54 libavfilter4 libavformat55 libavutil53 libbaloocore4
  libbaloofiles4 libbalooxapian4 libboost-atomic1.55-dev libboost-atomic1.55.0
  libboost-chrono1.55-dev libboost-chrono1.55.0 libboost-context1.55-dev
  libboost-context1.55.0 libboost-coroutine1.55-dev libboost-date-time1.55-dev
  libboost-date-time1.55.0 libboost-exception1.55-dev
  libboost-filesystem1.55-dev libboost-filesystem1.55.0
  libboost-graph-parallel1.55-dev libboost-graph-parallel1.55.0
  libboost-graph1.55-dev libboost-graph1.55.0 libboost-iostreams1.55-dev
  libboost-iostreams1.55.0 libboost-locale1.55-dev libboost-locale1.55.0
  libboost-log1.55-dev libboost-log1.55.0 libboost-math1.55-dev
  libboost-math1.55.0 libboost-mpi1.55-dev libboost-mpi1.55.0
  libboost-program-options1.55-dev libboost-program-options1.55.0
  libboost-python1.55-dev libboost-python1.55.0 libboost-random1.55-dev
  libboost-random1.55.0 libboost-regex1.55-dev libboost-regex1.55.0
  libboost-serialization1.55-dev libboost-serialization1.55.0
  libboost-signals1.55-dev libboost-signals1.55.0 libboost-system1.55-dev
  libboost-system1.55.0 libboost-test1.55-dev libboost-test1.55.0
  libboost-thread1.55-dev libboost-thread1.55.0 libboost-timer1.55-dev
  libboost-timer1.55.0 libboost-tools-dev libboost-wave1.55-dev
  libboost-wave1.55.0 libboost1.55-dev libboost1.55-tools-dev
  libkfilemetadata4 libkscreen1 libkwinglesutils1 libokularcore4 libruby2.1
  linux-image-3.14-4.towo-siduction-amd64 opencv-data ruby2.1 xulrunner-29
The following packages have been kept back:
  cpp-4.8 g++-4.8 gcc-4.8 gcc-4.8-base jitsi libasan0 libgcc-4.8-dev
  libobjc-4.8-dev libstdc++-4.8-dev
The following packages will be upgraded:
  akonadiconsole akregator ark audacious-plugins autotools-dev blender
  blender-data blogilo chromium chromium-inspector chromium-l10n comerr-dev
  devscripts dh-python digikam digikam-data digikam-private-libs dirmngr
  dmeventd dmsetup dolphin dovecot-core dovecot-imapd e2fslibs e2fsprogs
  extlinux fonts-opensymbol foomatic-db-gutenprint freespacenotifier
  gcc-4.9-base gcc-4.9-base:i386 gir1.2-gtk-3.0 gnome-video-effects gwenview
  iceweasel ijsgutenprint imagemagick imagemagick-common inxi iucode-tool
  kaddressbook kalarm kate kate-data katepart kcalc kcharselect kcolorchooser
  kde-base-artwork kde-baseapps kde-baseapps-bin kde-baseapps-data
  kde-config-cddb kde-plasma-desktop kde-runtime kde-runtime-data
  kde-style-oxygen kde-wallpapers-default kde-window-manager kde-workspace
  kde-workspace-bin kde-workspace-data kde-workspace-dev
  kde-workspace-kgreet-plugins kdebase-runtime kdebase-workspace-bin
  kdebase-workspace-dev kdelibs-bin kdelibs5-data kdelibs5-dev
  kdelibs5-plugins kdepasswd kdepim kdepim-kresources kdepim-runtime
  kdepim-strigi-plugins kdepimlibs-kio-plugins kdf kdm kdoctools kfind kgamma
  kgpg khelpcenter4 kid3 kid3-core kipi-plugins kipi-plugins-common kjots
  kleopatra klipper kmail kmenuedit kmix knode knotes kompare konq-plugins
  konqueror konqueror-nsplugins konsole konsolekalendar kontact kopete
  korganizer kppp krdc ksnapshot ksysguard ksysguardd ktimetracker
  kwalletmanager kwrite libakonadi-calendar4 libakonadi-contact4
  libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4
  libakonadi-notes4 libapr1 libapr1-dev libasound2 libasound2:i386
  libasound2-data libasound2-plugins libatomic1 libav-tools libavcodec-dev
  libavformat-dev libavresample1 libavutil-dev libboost-atomic-dev
  libboost-chrono-dev libboost-context-dev libboost-coroutine-dev
  libboost-date-time-dev libboost-dev libboost-exception-dev
  libboost-filesystem-dev libboost-graph-dev libboost-graph-parallel-dev
  libboost-iostreams-dev libboost-locale-dev libboost-log-dev
  libboost-math-dev libboost-mpi-dev libboost-program-options-dev
  libboost-python-dev libboost-random-dev libboost-regex-dev
  libboost-serialization-dev libboost-signals-dev libboost-system-dev
  libboost-test-dev libboost-thread-dev libboost-timer-dev libboost-wave-dev
  libc-bin libc-dev-bin libc6 libc6:i386 libc6-dbg libc6-dev libcaca0
  libchromaprint0 libclone-perl libcomerr2 libdebconfclient0
  libdevmapper-event1.02.1 libdevmapper1.02.1 libdrm-dev libdrm-intel1
  libdrm-intel1:i386 libdrm-nouveau2 libdrm-nouveau2:i386 libdrm-radeon1
  libdrm-radeon1:i386 libdrm2 libdrm2:i386 libexpat1 libexpat1:i386
  libexpat1-dev libfreerdp1 libgail-3-0 libgcc1 libgcc1:i386 libgcj14
  libgck-1-0 libgcr-3-1 libgcr-3-common libgcr-base-3-1 libgcr-ui-3-1
  libgfortran3 libgoa-1.0-0b libgoa-1.0-common libgomp1 libgpgme++2 libgtk-3-0
  libgtk-3-bin libgtk-3-common libgtk2-perl libgtksourceview-3.0-1
  libgtksourceview-3.0-common libgutenprint2 libio-socket-ssl-perl libiodbc2
  libitm1 libjasper-dev libjasper1 libjavascriptcoregtk-1.0-0
  libjavascriptcoregtk-3.0-0 libkabc4 libkactivities-bin
  libkactivities-models1 libkactivities6 libkalarmcal2 libkateinterfaces4
  libkatepartinterfaces4 libkblog4 libkcal4 libkcalcore4 libkcalutils4
  libkcddb4 libkcmutils4 libkcompactdisc4 libkdcraw-data libkdcraw23
  libkde3support4 libkdeclarative5 libkdecorations4abi2 libkdecore5 libkdepim4
  libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkephal4abi1
  libkexiv2-11 libkexiv2-data libkfile4 libkholidays4 libkhtml5 libkidletime4
  libkimap4 libkimproxy4 libkio5 libkipi-data libkipi11 libkjsapi4
  libkjsembed4 libkldap4 libkleo4 libkmbox4 libkmediaplayer4 libkmime4
  libknewstuff2-4 libknewstuff3-4 libknotifyconfig4 libkntlm4
  libkomparediff2-4 libkonq-common libkonq5-dev libkonq5-templates
  libkonq5abi1 libkonqsidebarplugin4a libkontactinterface4 libkopete4
  libkparts4 libkpgp4 libkpimidentities4 libkpimtextedit4 libkpimutils4
  libkprintutils4 libkpty4 libkresources4 libkrosscore4 libkrossui4
  libksane-data libksane0 libkscreensaver5 libksgrd4 libksieve4
  libksignalplotter4 libktexteditor4 libktnef4 libkunitconversion4 libkutils4
  libkwineffects1abi5 libkwinglutils1abi2 libkworkspace4abi2 libkxmlrpcclient4
  libllvm3.4 libllvm3.4:i386 liblsofui4 liblvm2app2.2 liblvm2cmd2.02
  liblwp-protocol-https-perl libmagick++5 libmagickcore5 libmagickwand5
  libmailtransport4 libmediastreamer-base3 libmessagecore4 libmessagelist4
  libmhash2 libmicroblog4 libmimelib4 libnepomuk4 libnepomukcore4
  libnepomukquery4a libnepomukutils4 libnepomukwidgets4abi1 libnet-ssleay-perl
  libobjc4 libonig2 libopencv-calib3d-dev libopencv-calib3d2.4
  libopencv-contrib2.4 libopencv-core-dev libopencv-core2.4
  libopencv-features2d-dev libopencv-features2d2.4 libopencv-flann-dev
  libopencv-flann2.4 libopencv-highgui2.4 libopencv-imgproc-dev
  libopencv-imgproc2.4 libopencv-legacy2.4 libopencv-ml-dev libopencv-ml2.4
  libopencv-objdetect2.4 libopencv-video-dev libopencv-video2.4 libortp9
  libpcsclite1 libperl5.18 libplasma-geolocation-interface4 libplasma3
  libplasmaclock4abi4 libplasmagenericshell4 libprocesscore4abi1
  libprocessui4a libpython-dev libpython-stdlib libqgpgme1 libqmmp-misc
  libqmmp0 libqmmpui0 libqmobipocket1 libquadmath0 libreoffice-base-core
  libreoffice-calc libreoffice-common libreoffice-core libreoffice-kde
  libreoffice-pdfimport libreoffice-style-galaxy libreoffice-style-oxygen
  libreoffice-writer libruby1.8 libsearchclient0 libselinux1 libselinux1:i386
  libsemanage-common libsemanage1 libsepol1 libsidplayfp libsnmp-base
  libsnmp30 libsolid4 libss2 libssh-4 libssh2-1 libssl-dev libssl1.0.0
  libstdc++6 libstdc++6:i386 libstreamanalyzer0 libstreams0 libstrictures-perl
  libstrigihtmlgui0 libstrigiqtdbusclient0 libswscale-dev libswscale2
  libsyndication4 libtaskmanager4abi4 libterm-readkey-perl
  libtext-levenshtein-perl libthreadweaver4 libtsan0 libva-glx1 libva-x11-1
  libva1 libvlc5 libvlccore7 libweather-ion6 libwebkitgtk-1.0-0
  libwebkitgtk-1.0-common libwebkitgtk-3.0-0 libwebkitgtk-3.0-common libx11-6
  libx11-6:i386 libx11-data libx11-dev libx11-xcb-dev libx11-xcb1
  libx11-xcb1:i386 libx264-142 libxfont1 libxine2 libxine2-bin libxine2-ffmpeg
  libxine2-misc-plugins libxine2-x libxml-libxml-perl libxshmfence-dev
  libxshmfence1 libxshmfence1:i386 libyajl2 linux-image-siduction-amd64
  linux-libc-dev locales lvm2 m4 make manpages marble-data moc mplayer2
  multiarch-support myspell-de-de nepomuk-core-data nepomuk-core-runtime
  net-tools nmap okular okular-extra-backends openssl oxygen-icon-theme perl
  perl-base perl-modules perlmagick php5-cgi php5-common
  plasma-dataengines-addons plasma-dataengines-workspace plasma-desktop
  plasma-desktopthemes-artwork plasma-scriptengine-javascript
  plasma-scriptengine-python plasma-widget-folderview plasma-widgets-addons
  plasma-widgets-workspace print-manager printer-driver-gutenprint python
  python-crypto python-dev python-doc python-examples python-kde4
  python-minimal python-qt4 python-qt4-dbus python-sip qmmp
  qmmp-plugin-projectm quilt resolvconf rsyslog ruby shared-mime-info
  signing-party strigi-client strigi-daemon syslinux syslinux-common
  systemsettings traceroute tzdata ucf uno-libs3 ure vlc vlc-data vlc-nox
  weechat weechat-core weechat-curses weechat-plugins xkb-data
  xserver-xorg-video-mga
495 upgraded, 73 newly installed, 47 to remove and 9 not upgraded.
Need to get 565 MB of archives.
After this operation, 218 MB of additional disk space will be used.
Do you want to continue? [Y/n] n



Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.451
Re: du wants to remove 47 libboost packages
« Reply #1 on: 2014/05/20, 09:02:53 »

libboost transition started:
https://release.debian.org/transitions/html/boost1.55.html


greetz
devil

Offline Santa

  • User
  • Posts: 261
  • siduction's KDE packager
Re: du wants to remove 47 libboost packages
« Reply #2 on: 2014/05/20, 12:31:35 »
I'm unsure if removing "gccxml gobjc gobjc-4.8" would be ok for you, you could know why you have these packages installed, I don't. However the rest seems fine, if you look a bit into it it just wants to remove boost 1.54 packages to install their 1.55 counterpart, that should be ok. They are too many beacuse there are many boost libraries but I think it's ok. In fact I have just done a dist-upgrade here.
Sometimes standing for what you believe means standing alone.

Offline vayu

  • User
  • Posts: 222
Re: du wants to remove 47 libboost packages
« Reply #3 on: 2014/05/21, 19:12:58 »
I'm unsure if removing "gccxml gobjc gobjc-4.8" would be ok for you, you could know why you have these packages installed, I don't. However the rest seems fine, if you look a bit into it it just wants to remove boost 1.54 packages to install their 1.55 counterpart, that should be ok. They are too many beacuse there are many boost libraries but I think it's ok. In fact I have just done a dist-upgrade here.

Thanks, this was helpful.  I did it and so far so good except for a new KDE problem :) Thanks for all your KDE work, I use it every day for my work and pleasure, am appreciative and know you're behind it.